/*

  Copyright 2010, 2011 SRI International and Seoul National University

  Licensed under the Apache License, Version 2.0 (the "License"); you may
  not use this file except in compliance with the License. You may obtain
  a copy of the License at

  http://www.apache.org/licenses/LICENSE-2.0

  Unless required by applicable law or agreed to in writing, software
  distributed under the License is distributed on an "AS IS" BASIS,
  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
  See the License for the specific language governing permissions and
  limitations under the License.

  The development was supported by National Science Foundation Grant 0932397:
  A Logical Framework for Self-Optimizing Networked Cyber-Physical Systems

*/

package cf.sim.stage;

public class Pose {

  public double x, y, z; // location in 3 axes
  public double a; // lotation aobut the z axis

  public Pose(double x, double y, double z, double a) {
    this. x = x;this.y = y; this.z = z ;this.a = a;
  }
  public Pose() {
    x=y=z=a=0;
  }
  public String get_str() {
    return new String("("+x+","+y+","+z+","+a+")");
  }
}

