/*

  Copyright 2010, 2011 SRI International and Seoul National University

  Licensed under the Apache License, Version 2.0 (the "License"); you may
  not use this file except in compliance with the License. You may obtain
  a copy of the License at

  http://www.apache.org/licenses/LICENSE-2.0

  Unless required by applicable law or agreed to in writing, software
  distributed under the License is distributed on an "AS IS" BASIS,
  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
  See the License for the specific language governing permissions and
  limitations under the License.

  The development was supported by National Science Foundation Grant 0932397:
  A Logical Framework for Self-Optimizing Networked Cyber-Physical Systems

*/

package cf.sim.stage;

public class WifiNeighbor 
{
  public int node_index; // cpssim node index
  public long id;// stage model id 
  public Pose pose;
  public String essid;
  public String mac;
  public String ip_in;
  public double db;

  WifiNeighbor()
  {
  }
  
  public void print() {
    System.out.println("Node Index: " + node_index);
    System.out.println("id : " + id);
    System.out.println("Pose: " + pose.get_str());
    System.out.println("Essid: " + essid);
    System.out.println("Mac: " + mac);
    System.out.println("Ip : " + ip_in);
    System.out.println("Db : " + db);
  }
}


